Bug 10833 - lockup (Error in I830WaitLpRing()) on 945GM
Summary: lockup (Error in I830WaitLpRing()) on 945GM
Status: RESOLVED INVALID
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Eric Anholt
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-02 04:02 UTC by Julien Cristau
Modified: 2007-10-31 14:00 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
config (2.97 KB, text/plain)
2007-05-02 04:02 UTC, Julien Cristau
no flags Details
Xorg log (39.38 KB, text/plain)
2007-05-02 04:03 UTC, Julien Cristau
no flags Details
Xorg log (40.14 KB, text/plain)
2007-05-02 04:05 UTC, Julien Cristau
no flags Details
Xorg log of the locked up session (44.84 KB, text/plain)
2007-09-02 05:58 UTC, Priit Laes (irc: plaes)
no flags Details
Xorg log of crash when starting secondlife (159.89 KB, text/plain)
2007-09-10 23:25 UTC, Bayle Shanks
no flags Details
second life logfile corresponding to the previous Xorg crash log (16.91 KB, text/plain)
2007-09-10 23:50 UTC, Bayle Shanks
no flags Details
Xorg.log TCE crash (40.61 KB, text/plain)
2007-09-23 02:39 UTC, wbrana
no flags Details
xorg.conf TCE crash (2.91 KB, text/plain)
2007-09-23 02:41 UTC, wbrana
no flags Details
Xorg.log TCE G33 crash (34.50 KB, text/plain)
2007-10-02 10:37 UTC, wbrana
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Cristau 2007-05-02 04:02:16 UTC
This happened to me twice, using xserver 1.3 and xf86-video-intel 2.0.
I ran xlock when going to lunch, and when I got back the X server had died and I was back at the console prompt. xlock doesn't use GL as far as I can tell, and it doesn't seem to happen every time :/
I'll attach the config and log.
Comment 1 Julien Cristau 2007-05-02 04:02:52 UTC
Created attachment 9833 [details]
config
Comment 2 Julien Cristau 2007-05-02 04:03:26 UTC
Created attachment 9834 [details]
Xorg log
Comment 3 Julien Cristau 2007-05-02 04:05:30 UTC
Created attachment 9835 [details]
Xorg log

sorry, attaching the right log this time, hopefully
Comment 4 Raúl 2007-07-02 15:50:10 UTC
This has also happened to me some time, but most of the cases when I had 2 Xorg sessions open at once. The most common case is when you open the second one, use as usual and when the screensaver starts, then the whole system is locked as explained also in https://bugs.freedesktop.org/show_bug.cgi?id=11432

This problem isn't also common as well, it has happened about 20% of the times on the 2nd xorg session and about 1% of the times on only one Xorg session.
Comment 5 Luca Capello 2007-08-28 16:23:34 UTC
I experienced the same bug as described in the Debian BTS:   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=433825  However, with the current package versions, I haven't experienced the lock/X-reload anymore for around 5h:   http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=24;bug=433825
Comment 6 Priit Laes (irc: plaes) 2007-09-02 05:58:04 UTC
Created attachment 11385 [details]
Xorg log of the locked up session

I had a crash/lockup when trying to set the display rotation.
The driver version is 2.1.1
Comment 7 Bayle Shanks 2007-09-10 23:25:55 UTC
Created attachment 11495 [details]
Xorg log of crash when starting secondlife

when running the secondlife client as downloaded from http://secondlife.com/community/linux-alpha.php on sep 10
Comment 8 Bayle Shanks 2007-09-10 23:50:06 UTC
Created attachment 11499 [details]
second life logfile corresponding to the previous Xorg crash log
Comment 9 wbrana 2007-09-23 02:31:12 UTC
OpenGL apps like True Combat Elite 0.49b (TCE) are causing crash of xorg-server 1.4 using 
Mesa 7.0.1
xf86-video-intel 2.1.1
drm git 023f7d9c0064f912415c92a85c3a9d722191909f
Comment 10 wbrana 2007-09-23 02:39:12 UTC
Created attachment 11688 [details]
Xorg.log TCE crash
Comment 11 wbrana 2007-09-23 02:41:28 UTC
Created attachment 11689 [details]
xorg.conf TCE crash
Comment 12 Raúl 2007-09-30 05:38:45 UTC
Hello:

I think it would be nice if any of you could get a backtrace. You have this Debian tutorial(http://wiki.debian.org/XStrikeForce/XserverDebugging), section "Obtaining a backtrace from a coredump" which could be used easily for every distro.
Comment 13 wbrana 2007-10-02 10:35:45 UTC
(In reply to comment #9)
> OpenGL apps like True Combat Elite 0.49b (TCE) are causing crash of xorg-server
> 1.4 using 
> Mesa 7.0.1
> xf86-video-intel 2.1.1
> drm git 023f7d9c0064f912415c92a85c3a9d722191909f
> 

It is also crashing on G33 using same SW.
Comment 14 wbrana 2007-10-02 10:37:28 UTC
Created attachment 11865 [details]
Xorg.log TCE G33 crash
Comment 15 Wen-chien Jesse Sung 2007-10-03 00:02:11 UTC
I'm using Debian sid on a Lenovo X60, and I use flight simulator in Google Earth for testing.
In the beginning, X crashes within 5 seconds after the flight simulator is started. Error messages are just like the log files attached with this bug report.
Then I installed the xserver-xorg-core-dbg and xserver-xorg-video-intel-dbg, restart X, and I found that flight simulator works just fine, X didn't crash any more...
Is there anything I can do to get more information for your debugging?
Comment 16 Jesse Barnes 2007-10-31 14:00:42 UTC
Julien, I think your bug is fixed.  However, this bug seems to have become a dumping ground of server crashes.

Raúl, please open a new bug if you're still seeing crashes with two servers up.

Priit, if you're still seeing crashes when trying to change modes, please open a new bug for that.

Bayle, if Second Life is still causing crashes for you, please open a new bug for that issue.

wbrana@gmail.com, if TCE still causes crashes for you, please open a separate bug.

Wen-chien Jesse Sung, if Google Earth still causes crashes please open a new bug for that.

All of these may be separate issues, so please test again with the latest released bits and open separate bugs (preferably with backtraces of the crash included) if the issues still exist for you.

Thanks,
Jesse


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.